Author projects
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/projectsimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/projects"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/projects")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849536",
"language": "es",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_C", "source": "minciencias"}],
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín",
"titles": [
{
"lang": "es",
"source": "minciencias",
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
},
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849537",
"language": "en",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_A", "source": "minciencias"}],
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region",
"titles": [
{
"lang": "en",
"source": "minciencias",
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
}
],
"meta": {
"count": 7,
"cursor": {"next": "https://api.dev.impactu.colav.co/person/0000000001/research/projects?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Person
Author projects
Paginated list of an author’s research projects.
GET
/
person
/
{person_id}
/
research
/
projects
Author projects
curl --request GET \
--url https://api.dev.impactu.colav.co/person/{person_id}/research/projectsimport requests
url = "https://api.dev.impactu.colav.co/person/{person_id}/research/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/person/{person_id}/research/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/person/{person_id}/research/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/person/{person_id}/research/projects"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/person/{person_id}/research/projects")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/person/{person_id}/research/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849536",
"language": "es",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_C", "source": "minciencias"}],
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín",
"titles": [
{
"lang": "es",
"source": "minciencias",
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
},
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849537",
"language": "en",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_A", "source": "minciencias"}],
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region",
"titles": [
{
"lang": "en",
"source": "minciencias",
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
}
],
"meta": {
"count": 7,
"cursor": {"next": "https://api.dev.impactu.colav.co/person/0000000001/research/projects?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}
Path parameters
string
required
Author identifier. Example:
0000150053.Query parameters
integer
default:"10"
Results per page (1 to 250).
integer
default:"1"
Page number (minimum 1).
string
default:"citations_desc"
Ascending or descending sort criterion, for example
citations_desc,
products_asc or alphabetical_desc.string
default:"citations_desc"
Sort with the format
field_direction. Available fields:
citations, alphabetical and year. Example: year_desc.string
default:"full"
Level of detail of the response.
full returns every field. summary
returns only the entity’s main fields and, for products, patents and
projects, cuts the author list to 10. Any other value returns 400.The response structure is identical to that of Affiliation projects.
Response
object
{
"data": [
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849536",
"language": "es",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_C", "source": "minciencias"}],
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín",
"titles": [
{
"lang": "es",
"source": "minciencias",
"title": "Electrocoagulación de efluentes de la industria textil empleando magnesio. Caso de estudio: Soluciones modelo de índigo carmín"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
},
{
"abstract": "",
"authors": [
{
"affiliations": [
{
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"types": [{"source": "scienti", "type": "group"}],
"years": []
}
],
"full_name": "María Ejemplo García",
"id": "0000000001"
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [{"id": "COL0000001", "name": "Grupo de Investigación Ejemplo"}],
"id": "6ab8466b5418a51e32849537",
"language": "en",
"product_types": [{"name": "Proyecto de Investigacion y Desarrollo", "source": "minciencias"}],
"ranking": [{"date": 1575608400, "rank": "PID-PID_A", "source": "minciencias"}],
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region",
"titles": [
{
"lang": "en",
"source": "minciencias",
"title": "Improving Energy Efficiency of Coal Power Stations Located in the Colombian Pacific Region"
}
],
"types": [
{
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Proyecto de Investigacion y Desarrollo"
}
],
"updated": [{"source": "minciencias", "time": 1790461547}]
}
],
"meta": {
"count": 7,
"cursor": {"next": "https://api.dev.impactu.colav.co/person/0000000001/research/projects?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"error": "1 validation error for QueryParams\nmax\n Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n For further i…"
}